package ap

const (
	KEY_ID    = "@id"    // Value of type string
	KEY_TYPE  = "@type"  // Value of type string slice / activitystreams object url slice
	KEY_VALUE = "@value" // Could be any type really
)

const (
	KEY_MASTO_DEVICES       = "http://joinmastodon.org/ns#devices"
	KEY_MASTO_DISCOVERABLE  = "http://joinmastodon.org/ns#discoverable"
	KEY_MASTO_FEATURED      = "http://joinmastodon.org/ns#featured"
	KEY_MASTO_FEATURED_TAGS = "http://joinmastodon.org/ns#featuredTags"
	KEY_MASTO_INDEXABLE     = "http://joinmastodon.org/ns#indexable"
	KEY_MASTO_MEMORIAL      = "http://joinmastodon.org/ns#memorial"
)

const (
	KEY_W3_INBOX                 = "http://www.w3.org/ns/ldp#inbox"
	KEY_W3_SECURITY_PUBLICKEY    = "https://w3id.org/security#publicKey"
	KEY_W3_SECURITY_OWNER        = "https://w3id.org/security#owner"
	KEY_W3_SECURITY_PUBLICKEYPEM = "https://w3id.org/security#publicKeyPem"
)

const (
	KEY_ACTIVITYSTREAMS_ALSOKNOWNAS       = "https://www.w3.org/ns/activitystreams#alsoKnownAs"
	KEY_ACTIVITYSTREAMS_ATTACHMENTS       = "https://www.w3.org/ns/activitystreams#attachment"
	KEY_ACTIVITYSTREAMS_NAME              = "https://www.w3.org/ns/activitystreams#name"
	KEY_ACTIVITYSTREAMS_ENDPOINTS         = "https://www.w3.org/ns/activitystreams#endpoints"
	KEY_ACTIVITYSTREAMS_SHAREDINBOX       = "https://www.w3.org/ns/activitystreams#sharedInbox"
	KEY_ACTIVITYSTREAMS_FOLLOWERS         = "https://www.w3.org/ns/activitystreams#followers"
	KEY_ACTIVITYSTREAMS_FOLLOWING         = "https://www.w3.org/ns/activitystreams#following"
	KEY_ACTIVITYSTREAMS_ICON              = "https://www.w3.org/ns/activitystreams#icon"
	KEY_ACTIVITYSTREAMS_MEDIATYPE         = "https://www.w3.org/ns/activitystreams#mediaType"
	KEY_ACTIVITYSTREAMS_URL               = "https://www.w3.org/ns/activitystreams#url"
	KEY_ACTIVITYSTREAMS_IMAGE             = "https://www.w3.org/ns/activitystreams#image"
	KEY_ACTIVITYSTREAMS_RESTRICTED_FOLLOW = "https://www.w3.org/ns/activitystreams#manuallyApprovesFollowers"
	KEY_ACTIVITYSTREAMS_OUTBOX            = "https://www.w3.org/ns/activitystreams#outbox"
	KEY_ACTIVITYSTREAMS_PREFFEREDUSERNAME = "https://www.w3.org/ns/activitystreams#preferredUsername"
	KEY_ACTIVITYSTREAMS_PUBLISHED         = "https://www.w3.org/ns/activitystreams#published"
	KEY_ACTIVITYSTREAMS_SUMMARY           = "https://www.w3.org/ns/activitystreams#summary"
	KEY_ACTIVITYSTREAMS_TAG               = "https://www.w3.org/ns/activitystreams#tag"
	KEY_ACTIVITYSTREAMS_CC                = "https://www.w3.org/ns/activitystreams#cc"
	KEY_ACTIVITYSTREAMS_TO                = "https://www.w3.org/ns/activitystreams#to"
	KEY_ACTIVITYSTREAMS_OBJECT            = "https://www.w3.org/ns/activitystreams#object"

	// Object types (I think)
	// Those are values the object type can have

	KEY_ACTIVITYSTREAMS_ACTOR  = "https://www.w3.org/ns/activitystreams#actor"
	KEY_ACTIVITYSTREAMS_FOLLOW = "https://www.w3.org/ns/activitystreams#Follow"
	KEY_ACTIVITYSTREAMS_PERSON = "https://www.w3.org/ns/activitystreams#Person"
	KEY_ACTIVITYSTREAMS_CREATE = "https://www.w3.org/ns/activitystreams#Create"
)

const (
	KEY_SCHEMA_VALUE = "http://schema.org#value"
)
