package ap

import (
	"net/url"
	"time"
)

type (
	ActivityStreamsAlsoKnownAs IdType
	ActivityStreamsAttachment  struct {
		Type  *url.URL
		Value string
		Name  string
	}
	ActivityStreamsSharedInbox       IdType
	ActivityStreamsFollowers         IdType
	ActivityStreamsFollowing         IdType
	ActivityStreamsImage             Media
	ActivityStreamsIcon              Media
	ActivityStreamsRestrictedFollow  ValueType[bool]
	ActivityStreamsName              ValueType[string]
	ActivityStreamsOutbox            IdType
	ActivityStreamsPrefferedUsername ValueType[string]
	ActivityStreamsPublished         struct {
		Type  string
		Value time.Time
	}
	ActivityStreamsSummary ValueType[string]
	ActivityStreamsUrl     IdType
	// NOTE: I do not know if this is consistent at all. Do not trust yet
	ActivityStreamsTag struct {
		Type string
		Id   string
		Name string
	}
	ActivityStreamsTo IdType
	ActivityStreamsCC IdType

	ActivityStreamsActor IdType
	// NOTE: Technically, objects can have a LOT of data. I don't care. Treat them as ID type
	// Just fetch whatever the ID is later on separately and throw away anything else but the ID
	ActivityStreamsObject IdType
	ActivityStreamsFollow IdType
)

type (
	MastoDevices      IdType
	MastoDiscoverable ValueType[bool]
	MastoFeatured     IdType
	MastoFeaturedTags IdType
	MastoIndexable    ValueType[bool]
	MastoMemorial     ValueType[bool]
)

type (
	W3Inbox             IdType
	W3SecurityPublicKey struct {
		Id     *url.URL
		Owner  *url.URL
		KeyPem string
	}
)
