package config

type ConfigSSL struct {
	HandleSSL bool // Whether Linstrom should handle SSL encryption itself
	// If Linstrom is to handle SSL, whether it should use LetsEncrypt for certificates
	UseLetsEncrypt *bool
	// Path to the certificate if Linstrom is to handle SSL while not using LetsEncrypt
	CertificateFile *string
	// Mail adress to use in case of using LetsEncrypt
	AdminMail *string
}

type ConfigGeneral struct {
	Domain string // The domain this server operates under
}

type ConfigAdmin struct {
	Username     string
	PasswordHash string
}

type Config struct {
	General ConfigGeneral
	SSL     ConfigSSL
	Admin   ConfigAdmin
}
